GNU bug report logs - #23354
25.1.50; Unicode literals aren't handled correctly by some commands

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Lars Magne Ingebrigtsen <larsi@HIDDEN>; dated Sun, 24 Apr 2016 12:17:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'minor' from 'normal' Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 23354 <at> debbugs.gnu.org:


Received: (at 23354) by debbugs.gnu.org; 4 Aug 2020 09:37:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 04 05:37:41 2020
Received: from localhost ([127.0.0.1]:46848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k2tO9-0004L6-6d
	for submit <at> debbugs.gnu.org; Tue, 04 Aug 2020 05:37:41 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k2tO7-0004Kt-Cy
 for 23354 <at> debbugs.gnu.org; Tue, 04 Aug 2020 05:37:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CDBlGIgvCNVvC9RvUvIS/aJ+EynPwjJ6O7kXd8ts0a8=; b=NOgbhFKl3S7r60c//yJWej+d7i
 Uw0cqU/vNGZx874nd4NVFOY9Bbh5ThoFkaejrU+EmYFu8X2437QeXcsXSP+86wBdAAqIZbgxgqh15
 FHWNKnhsV52nAJiZOFoAj0whKrFpQTv4e8ZlcPEAtdcKvaTF2j965HUbREmPJtKXeYyo=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k2tNz-0006FM-2L; Tue, 04 Aug 2020 11:37:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#23354: 25.1.50; Unicode literals aren't handled correctly
 by some commands
References: <m3d1pfcice.fsf@HIDDEN>
 <CAArVCkSavYPA0zUQdP11REMPdkiXo2--PbE=PCu+6DqcF0gY3Q@HIDDEN>
 <87inyw86ld.fsf@HIDDEN>
Date: Tue, 04 Aug 2020 11:37:29 +0200
In-Reply-To: <87inyw86ld.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 02 May 2016 23:58:54 +0200")
Message-ID: <87d046rbty.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Philipp Stephani
 <p.stephani2@HIDDEN> writes: > >> Thanks, I've attached a patch that should
 fix >> eval-print-last-expr. This doesn't >> fix backward-sexp, because I
 think that would be much har [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 23354
Cc: 23354 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Philipp Stephani <p.stephani2@HIDDEN> writes:
>
>> Thanks, I've attached a patch that should fix
>> eval-print-last-expr. This doesn't
>> fix backward-sexp, because I think that would be much harder. 
>
> Thanks; applied.  I hope somebody else can fix backward-sexp and
> friends.  :-)

I just checked whether things has changed -- and, no, backward-sexp and
friends still do the wrong thing on Unicode literals like

?\N{HEAVY CHECK MARK}

in Emacs Lisp buffers.  In particular, backward-sexp after the final "}"
skips to the start of "MARK", and forward-sexp at the start skips to the
end of "HEAVY".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23354; Package emacs. Full text available.

Message received at 23354 <at> debbugs.gnu.org:


Received: (at 23354) by debbugs.gnu.org; 2 May 2016 21:59:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 17:59:00 2016
Received: from localhost ([127.0.0.1]:34300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1axLro-0001Cy-4C
	for submit <at> debbugs.gnu.org; Mon, 02 May 2016 17:59:00 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:54291)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1axLrl-0001Cp-Dq
 for 23354 <at> debbugs.gnu.org; Mon, 02 May 2016 17:58:58 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1axLri-0002xG-Gr; Mon, 02 May 2016 23:58:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#23354: 25.1.50;
 Unicode literals aren't handled correctly by some commands
References: <m3d1pfcice.fsf@HIDDEN>
 <CAArVCkSavYPA0zUQdP11REMPdkiXo2--PbE=PCu+6DqcF0gY3Q@HIDDEN>
Date: Mon, 02 May 2016 23:58:54 +0200
In-Reply-To: <CAArVCkSavYPA0zUQdP11REMPdkiXo2--PbE=PCu+6DqcF0gY3Q@HIDDEN>
 (Philipp Stephani's message of "Sun, 01 May 2016 12:59:37 +0000")
Message-ID: <87inyw86ld.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 23354
Cc: 23354 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Philipp Stephani <p.stephani2@HIDDEN> writes:

> Thanks, I've attached a patch that should fix eval-print-last-expr. This doesn't
> fix backward-sexp, because I think that would be much harder. 

Thanks; applied.  I hope somebody else can fix backward-sexp and
friends.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23354; Package emacs. Full text available.

Message received at 23354 <at> debbugs.gnu.org:


Received: (at 23354) by debbugs.gnu.org; 1 May 2016 13:00:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 01 09:00:02 2016
Received: from localhost ([127.0.0.1]:59123 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awqyc-0005YN-A2
	for submit <at> debbugs.gnu.org; Sun, 01 May 2016 09:00:02 -0400
Received: from mail-lf0-f50.google.com ([209.85.215.50]:34037)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1awqyX-0005Y7-B0
 for 23354 <at> debbugs.gnu.org; Sun, 01 May 2016 08:59:57 -0400
Received: by mail-lf0-f50.google.com with SMTP id m64so9549800lfd.1
 for <23354 <at> debbugs.gnu.org>; Sun, 01 May 2016 05:59:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=d02cjyYow/RA7PdvqS8gSXtbjyuVFw+G4M2turf4haM=;
 b=nAnXDwj86R9BTu63z3GIgn34WdnNF+KtKacy9WnwuR4nBPdgLFEWDKidUTFyjlQWyb
 yjjqYRnajVqafnsW0FBzzaIk9jBvr/V4r+CbHZfO+7IBcX7e4t+qa2WxfbbvBV2h0q/+
 am6eNgvzl7ISddvKtKqVFOXv0qkMKsGpQm8uB3Dh7NborgOMBQsuzWVfkHDo+nQoMecV
 8Scw8Xc3lG5dHPYhE9DyvDb1sC1i8eVLA6uDUPaBhWvdLg+ObbnuEif5TX8y6gm5fnIa
 OIiebYdILKJJypiS/fr2EU+f88wzgYz9SENY4E4SiZNsQrnHHbzK/i8sXTKL0zp91Itq
 7l+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=d02cjyYow/RA7PdvqS8gSXtbjyuVFw+G4M2turf4haM=;
 b=U64aUdBqdEpCCjqaqFV5trcGzA/2nYsQbU1Gx+77twuO1BOGyO/DPGQsTvcrLlzEF6
 Ai4JgoXmkglVToUQBNme4mD39+Q2554sHq3FkY4IUKFczWfM2wAo7Ib7X9I8Nnujl6AA
 94SNM1gsfh5yWGRbHguo/WLqpV9ufr5i9Vy7OjFGNMuFXUBk57Sok6MmaaQH6mD4CpJ7
 WGsT37RInAlRQ0JVkD2jFUT59tA7F3hXNI3yTEbzXRsLEF1amdraZdEWKAPHK8KIQ6WW
 fGitZJpps1o8jW6Si1AajHmqhBGGw7N5LmYJXPNRSDT8XxQi4cHBBaOFGCQXuvwscWLV
 gJ9A==
X-Gm-Message-State: AOPr4FXAwrtyjeUGjLKw+FAJdWs0m53q2Z2HYwhYc3oReYeX9OB6w6Apj8go8NTVPnaDb0eZTTkmIpXsoc/Plg==
X-Received: by 10.112.129.129 with SMTP id nw1mr13526676lbb.23.1462107586958; 
 Sun, 01 May 2016 05:59:46 -0700 (PDT)
MIME-Version: 1.0
References: <m3d1pfcice.fsf@HIDDEN>
In-Reply-To: <m3d1pfcice.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Sun, 01 May 2016 12:59:37 +0000
Message-ID: <CAArVCkSavYPA0zUQdP11REMPdkiXo2--PbE=PCu+6DqcF0gY3Q@HIDDEN>
Subject: Re: bug#23354: 25.1.50; Unicode literals aren't handled correctly by
 some commands
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 23354 <at> debbugs.gnu.org
Content-Type: multipart/mixed; boundary=047d7b3a7f145a4a120531c773ff
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 23354
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

--047d7b3a7f145a4a120531c773ff
Content-Type: multipart/alternative; boundary=047d7b3a7f145a4a0c0531c773fd

--047d7b3a7f145a4a0c0531c773fd
Content-Type: text/plain; charset=UTF-8

Lars Magne Ingebrigtsen <larsi@HIDDEN> schrieb am So., 24. Apr. 2016 um
14:17 Uhr:

>
> If you put point after the following expression and hit `C-x C-e':
>
> ?\N{HEAVY CHECK MARK}
>
> you'll get an error saying "(void-variable MARK})".  And in an Emacs
> Lisp buffer, using forward/backward sexp commands, they do not skip past
> the entire expression.
>
>
Thanks, I've attached a patch that should fix eval-print-last-expr. This
doesn't fix backward-sexp, because I think that would be much harder.

--047d7b3a7f145a4a0c0531c773fd
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br><br><div class=3D"gmail_quote"><div dir=3D"ltr">Lars M=
agne Ingebrigtsen &lt;<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&=
gt; schrieb am So., 24. Apr. 2016 um 14:17=C2=A0Uhr:<br></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;=
padding-left:1ex"><br>
If you put point after the following expression and hit `C-x C-e&#39;:<br>
<br>
?\N{HEAVY CHECK MARK}<br>
<br>
you&#39;ll get an error saying &quot;(void-variable MARK})&quot;.=C2=A0 And=
 in an Emacs<br>
Lisp buffer, using forward/backward sexp commands, they do not skip past<br=
>
the entire expression.<br><br></blockquote><div><br></div><div>Thanks, I&#3=
9;ve attached a patch that should fix eval-print-last-expr. This doesn&#39;=
t fix backward-sexp, because I think that would be much harder.=C2=A0</div>=
</div></div>

--047d7b3a7f145a4a0c0531c773fd--

--047d7b3a7f145a4a120531c773ff
Content-Type: application/octet-stream; 
	name="0001-Detect-named-character-literals.patch"
Content-Disposition: attachment; 
	filename="0001-Detect-named-character-literals.patch"
Content-Transfer-Encoding: base64
Content-ID: <1546c670f166af5fa341>
X-Attachment-Id: 1546c670f166af5fa341
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--047d7b3a7f145a4a120531c773ff--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23354; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Apr 2016 12:16:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 08:16:56 2016
Received: from localhost ([127.0.0.1]:44555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auIy8-0006U4-Kq
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 08:16:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1auIy6-0006Ts-JX
 for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 08:16:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1auIy0-0004eS-H3
 for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 08:16:49 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36674)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1auIy0-0004eO-EK
 for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 08:16:48 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52927)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1auIxz-0004sE-8B
 for bug-gnu-emacs@HIDDEN; Sun, 24 Apr 2016 08:16:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1auIxw-0004d8-0M
 for bug-gnu-emacs@HIDDEN; Sun, 24 Apr 2016 08:16:47 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:53407)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <larsi@HIDDEN>) id 1auIxv-0004d1-QS
 for bug-gnu-emacs@HIDDEN; Sun, 24 Apr 2016 08:16:43 -0400
Received: from cm-84.215.1.64.getinternet.no ([84.215.1.64] helo=stories)
 by hermes.netfonds.no with esmtpsa (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>) id 1auIxm-0002yC-6h
 for bug-gnu-emacs@HIDDEN; Sun, 24 Apr 2016 14:16:36 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1.50; Unicode literals aren't handled correctly by some commands
Date: Sun, 24 Apr 2016 14:16:33 +0200
Message-ID: <m3d1pfcice.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)


If you put point after the following expression and hit `C-x C-e':

?\N{HEAVY CHECK MARK}

you'll get an error saying "(void-variable MARK})".  And in an Emacs
Lisp buffer, using forward/backward sexp commands, they do not skip past
the entire expression.




In GNU Emacs 25.1.50.35 (x86_64-unknown-linux-gnu, GTK+ Version 3.4.2)
 of 2016-04-24 built on stories
Repository revision: a28873ce734b3618b0e8f6892e65db24d2f18da8
Windowing system distributor 'The X.Org Foundation', version 11.0.11204000
System Description:	Debian GNU/Linux 7.9 (wheezy)

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GSETTINGS NOTIFY GNUTLS
LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Magne Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23354; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 4 Aug 2020 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.